#
# Conditional build:
%bcond_with	tests	# unit tests (failing?)

Summary:	Sphinx extension which renders HMTL help files
Summary(pl.UTF-8):	Rozszerzenie Sphinksa tworzące pliki pomocy HTML
Name:		python3-sphinxcontrib-htmlhelp
Version:	2.1.0
Release:	3
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinxcontrib-htmlhelp/
Source0:	https://pypi.debian.net/sphinxcontrib-htmlhelp/sphinxcontrib_htmlhelp-%{version}.tar.gz
# Source0-md5:	1326f55f6bea49ab6a846c0088bc369e
URL:		https://pypi.org/project/sphinxcontrib-htmlhelp/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6
%if %{with tests}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-html5lib
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sphinxcontrib-htmlhelp is a Sphinx extension which renders HTML help
files.

%description -l pl.UTF-8
sphinxcontrib-htmlhelp to rozszerzenie Sphinksa, tworzące pliki pomocy
HTML.

%prep
%setup -q -n sphinxcontrib_htmlhelp-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENCE.rst README.rst
%{py3_sitescriptdir}/sphinxcontrib/htmlhelp
%{py3_sitescriptdir}/sphinxcontrib_htmlhelp-%{version}.dist-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinxcontrib-htmlhelp.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8eb5efa
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6427068
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 83ef176
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> b4a48d0
- Up to 2.1.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ccca44f
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1b858f3
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f573274
- rebuild with python 3.10

* Thu Mar 10 2022 Jakub Bogusz <qboosh@pld-linux.org> f86568e
- updated to 2.0.0 (python 3.6+ now)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> fe4accd
- release 2 (by relup.sh)

* Sun Apr 05 2020 Jakub Bogusz <qboosh@pld-linux.org> a522208
- new

